Skip to content
vocapable.Docs

Search Apollo people (documented: no credits)

POST
/v1/workspace/integrations/apollo/search
curl --request POST \
--url https://api.vocapable.com/v1/workspace/integrations/apollo/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "titles": [ "example" ], "person_locations": [ "example" ], "organization_locations": [ "example" ], "organization_domains": [ "example" ], "employee_ranges": [ "example" ], "seniorities": [ "example" ], "keywords": "example", "page": 1, "per_page": 25 }'
Media typeapplication/json
WorkspaceApolloSearch
object
titles
Titles
Array<string>
<= 10 items
person_locations
Person Locations
Array<string>
<= 10 items
organization_locations
Organization Locations
Array<string>
<= 10 items
organization_domains
Organization Domains
Array<string>
<= 25 items
employee_ranges
Employee Ranges
Array<string>
<= 8 items
seniorities
Seniorities
Array<string>
<= 8 items
keywords
Any of:
string
<= 200 characters
page
Page
integer
default: 1 >= 1 <= 20
per_page
Per Page
integer
default: 25 >= 1 <= 25

Successful Response

Media typeapplication/json
WorkspaceApolloSearchPage
object
people
required
People
Array<object>
WorkspaceApolloPerson
object
id
required
Id
string
name
required
Name
string
title
required
Any of:
string
company
required
Any of:
string
domain
required
Any of:
string
location
required
Any of:
string
has_email
required
Any of:
boolean
has_direct_phone
required
Any of:
boolean
page
required
Page
integer
per_page
required
Per Page
integer
total
required
Any of:
integer
credits_used
Credits Used
integer
0
0
Example
{
"credits_used": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}